PUT/api/integrations/edr/intune

Update EDR Intune Integration

Updates an existing EDR Intune Integration. The request body structure is EDRIntuneRequest.

7 body fields
client_idstringrequired
The Azure application client id
enabledbooleanoptional
Indicates whether the integration is enabled
Default:true
groupsarray<string>required
The Groups this integrations applies to
last_synced_intervalintegerrequired
The devices last sync requirement interval in hours. Minimum value is 24 hours.
secretstringrequired
The Azure application client secret
sync_intervalintegeroptional
How often devices are synced from the integration, in minutes. Minimum value is 1 minute, maximum is 1440 minutes.
tenant_idstringrequired
The Azure tenant id

5 status codes
200Integration updated successfully. Returns the updated integration.
account_idstringrequired
The identifier of the account this integration belongs to.
client_idstringrequired
The Azure application client id
created_atstringrequired
Timestamp of when the integration was created.
created_bystringrequired
The user id that created the integration
enabledbooleanrequired
Indicates whether the integration is enabled
groupsarray<object>required
List of groups
idintegerrequired
The unique numeric identifier for the integration.
last_synced_atstringrequired
Timestamp of when the integration was last synced.
last_synced_intervalintegerrequired
The devices last sync requirement interval in hours.
sync_intervalintegerrequired
How often devices are synced from the integration, in minutes.
tenant_idstringrequired
The Azure tenant id
updated_atstringrequired
Timestamp of when the integration was last updated.
400Bad Request (e.g., invalid JSON, validation error, invalid ID).
messagestringoptional
A human-readable error message.
401Unauthorized.
messagestringoptional
A human-readable error message.
404Not Found.
messagestringoptional
A human-readable error message.
500Internal Server Error.
messagestringoptional
A human-readable error message.

Error handling

A 400 is returned: Bad Request (e.g., invalid JSON, validation error, invalid ID). A 401 is returned: Unauthorized. A 404 is returned: Not Found. A 500 is returned: Internal Server Error.